# Generated by Django 4.2.6 on 2023-10-21 18:57

from django.db import migrations


def update_position_groups(apps, schema_editor):
    Position = apps.get_model("seawatch_registration", "Position")
    Position.objects.filter(
        key__in=[
            "ship-elec-it",
            "guest-coord",
            "cook",
            "rhib-driver",
            "rhib-team-lead",
            "cult-coord",
            "media-coord",
            "protection-officer",
        ]
    ).update(group="Sea-Watch 5")


class Migration(migrations.Migration):
    dependencies = [
        ("seawatch_registration", "0040_add_rhib_team_lead"),
    ]

    operations = [migrations.RunPython(update_position_groups)]
